<?xml version='1.1' encoding='UTF-8'?>
<project>
  <actions/>
  <description>This job handles the image infomation updates and image manifest creation etc.</description>
  <keepDependencies>false</keepDependencies>
  <properties>
    <hudson.plugins.buildblocker.BuildBlockerProperty plugin="build-blocker-plugin@1.7.3">
      <useBuildBlocker>false</useBuildBlocker>
      <blockLevel>UNDEFINED</blockLevel>
      <scanQueueFor>DISABLED</scanQueueFor>
      <blockingJobs></blockingJobs>
    </hudson.plugins.buildblocker.BuildBlockerProperty>
    <com.sonyericsson.rebuild.RebuildSettings plugin="rebuild@1.28">
      <autoRebuild>false</autoRebuild>
      <rebuildDisabled>false</rebuildDisabled>
    </com.sonyericsson.rebuild.RebuildSettings>
    <jenkins.model.BuildDiscarderProperty>
      <strategy class="hudson.tasks.LogRotator">
        <daysToKeep>7</daysToKeep>
        <numToKeep>5000</numToKeep>
        <artifactDaysToKeep>-1</artifactDaysToKeep>
        <artifactNumToKeep>-1</artifactNumToKeep>
      </strategy>
    </jenkins.model.BuildDiscarderProperty>
    <hudson.model.ParametersDefinitionProperty>
      <parameterDefinitions>
        <hudson.model.FileParameterDefinition>
          <name>TRIGGER_INFO_FILE</name>
          <description></description>
        </hudson.model.FileParameterDefinition>
      </parameterDefinitions>
    </hudson.model.ParametersDefinitionProperty>
  </properties>
  <scm class="hudson.scm.NullSCM"/>
  <assignedNode>master</assignedNode>
  <canRoam>false</canRoam>
  <disabled>false</disabled>
  <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
  <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
  <triggers/>
  <concurrentBuild>false</concurrentBuild>
  <builders>
    <hudson.tasks.Shell>
      <command>#/bin/bash

export TRIGGER_INFO=`cat TRIGGER_INFO_FILE`

python jenkins-scripts/job_buildmonitor.py</command>
    </hudson.tasks.Shell>
  </builders>
  <publishers>
    <org.jvnet.hudson.plugins.groovypostbuild.GroovyPostbuildRecorder plugin="groovy-postbuild@2.4">
      <script plugin="script-security@1.43">
        <script>/* 
&lt;&lt; LOG:TRIGGER_INFO &gt;&gt;

&quot;bm_stage&quot; : &quot;Submit&quot;, 
&quot;git_tag&quot;      : &quot;submit/tizen_3.0/20161202.035416&quot;, 
&quot;project&quot;      : &quot;home:trbs: [Tizen:3.0:Mobile]  :ref: [20161130.2]  :[submit:tizen_3.0] : [20161201.124537] &quot;,
&quot;project&quot;      : &quot;home:prerelease: [Tizen:Mobile] :[submit:tizen]: [20161221.044125] &quot;,
&quot;name&quot;        : &quot;mobile-wayland-arm64-tm2&quot;, 
&quot;bm_repo&quot;    : &quot;arm-wayland&quot;
&quot;sourceproject&quot;: &quot;home:prerelease: [Tizen:Mobile]: [submit:tizen] : [20161221.044445] &quot;,  (SR accept)

&lt;&lt; Post_Snap &gt;&gt;
&quot;build_id&quot;         : &quot;tizen-mobile_20161227.9&quot;,
&quot;repo_data_build_id&quot;: &quot;tizen-mobile_20161227.9&quot;,
*/

def bm_stage = manager.getLogMatcher(&apos;.*&quot;bm_stage&quot;: (.*).*&apos;)
def git_tag = manager.getLogMatcher(&apos;.*&quot;git_tag&quot;: (.*).*&apos;)
def bm_trbs_project = manager.getLogMatcher(&apos;.*&quot;project&quot;: &quot;home:trbs:(.*):ref:([0-9]+.[0-9]+):(.*):([0-9]+.[0-9]+)&quot;.*&apos;)
def bm_pre_project = manager.getLogMatcher(&apos;.*&quot;project&quot;: &quot;home:prerelease:(.*):submit:(.*):([0-9]+.[0-9]+)&quot;.*&apos;)
def bm_dev_name = manager.getLogMatcher(&apos;.*&quot;name&quot;: (.*).*&apos;)
def bm_repo = manager.getLogMatcher(&apos;.*&quot;bm_repo&quot;: (.*).*&apos;)
def bm_SR_src_project = manager.getLogMatcher(&apos;.*&quot;sourceproject&quot;: &quot;home:prerelease:(.*):submit:(.*):([0-9]+.[0-9]+)&quot;.*&apos;)
def bm_build_id = manager.getLogMatcher(&apos;.*&quot;build_id&quot;: (.*).*&apos;)
def bm_repo_data_build_id = manager.getLogMatcher(&apos;.*&quot;repo_data_build_id&quot;: (.*).*&apos;)

if(bm_stage?.matches()) {
    manager.addShortText(&apos;\n[ &apos; + bm_stage.group(1) + &apos;  ]&apos;)
    manager.addInfoBadge()
    //manager.addBadge(&quot;star-gold.gif&quot;, &quot;info&quot;)
}
if(git_tag?.matches()) {
    manager.addShortText(&apos;\n[ &apos; + git_tag.group(1) + &apos;  ]&apos;)
}
if(bm_trbs_project?.matches()) {
    manager.addShortText(&apos;\n[ &apos; + bm_trbs_project.group(1) + &apos; ][ &apos; + bm_trbs_project.group(2) + &apos; ][ &apos; + bm_trbs_project.group(4) + &apos; ]&apos;)
}
if(bm_pre_project?.matches()) {
    manager.addShortText(&apos;\n[ &apos; + bm_pre_project.group(1) + &apos; ][ &apos; + bm_pre_project.group(2) + &apos; ][ &apos; + bm_pre_project.group(3) + &apos; ]&apos;)
}
if(bm_dev_name?.matches()) {
    manager.addShortText(&apos;\n[ &apos; + bm_dev_name.group(1) + &apos; ]&apos;)
}
if(bm_repo?.matches()) {
    manager.addShortText(&apos;\n[ &apos; + bm_repo.group(1) + &apos; ]&apos;)
}
if(bm_SR_src_project?.matches()) {
    manager.addShortText(&apos;\n[ &apos; + bm_SR_src_project.group(1) + &apos; ][ &apos; + bm_SR_src_project.group(2) + &apos; ][ &apos; + bm_SR_src_project.group(3) + &apos; ]&apos;)
}
if(bm_build_id?.matches()) {
    manager.addShortText(&apos;\n[ &apos; + bm_build_id.group(1) + &apos;  ]&apos;)
}
if(bm_repo_data_build_id?.matches()) {
    manager.addShortText(&apos;\n[ &apos; + bm_repo_data_build_id.group(1) + &apos;  ]&apos;)
}</script>
        <sandbox>false</sandbox>
      </script>
      <behavior>0</behavior>
      <runForMatrixParent>false</runForMatrixParent>
    </org.jvnet.hudson.plugins.groovypostbuild.GroovyPostbuildRecorder>
  </publishers>
  <buildWrappers>
    <hudson.plugins.ws__cleanup.PreBuildCleanup plugin="ws-cleanup@0.34">
      <deleteDirs>false</deleteDirs>
      <cleanupParameter></cleanupParameter>
      <externalDelete></externalDelete>
    </hudson.plugins.ws__cleanup.PreBuildCleanup>
    <com.michelin.cio.hudson.plugins.copytoslave.CopyToSlaveBuildWrapper plugin="copy-to-slave@1.4.4">
      <includes>configuration, jenkins-scripts/job_buildmonitor.py, jenkins-scripts/common/*, jenkins-scripts/repomaker/*, jenkins-scripts/images/*</includes>
      <excludes></excludes>
      <flatten>false</flatten>
      <includeAntExcludes>false</includeAntExcludes>
      <hudsonHomeRelative>false</hudsonHomeRelative>
      <relativeTo>userContent</relativeTo>
    </com.michelin.cio.hudson.plugins.copytoslave.CopyToSlaveBuildWrapper>
    <EnvInjectBuildWrapper plugin="envinject@2.1.5">
      <info>
        <propertiesFilePath>${WORKSPACE}/configuration</propertiesFilePath>
        <secureGroovyScript plugin="script-security@1.43">
          <script></script>
          <sandbox>false</sandbox>
        </secureGroovyScript>
        <loadFilesFromMaster>false</loadFilesFromMaster>
      </info>
    </EnvInjectBuildWrapper>
  </buildWrappers>
</project>